package org.bdware.sc.conn;

import io.netty.util.Timeout;

public abstract class ResultCallback {
    //    private static final Logger LOGGER = LogManager.getLogger(ResultCallback.class);
    Timeout task;

    public abstract void onResult(String str);

    public void setTimeOut(Timeout task) {
        this.task = task;
    }

    public void cancelTimeOut() {
//        LOGGER.debug("[cancelTimeout]" + task.toString());
        if (null != this.task) {
            task.cancel();
        }
    }
}
